Change log for granite package in Ubuntu

116 of 16 results
Published in eoan-release on 2019-04-21
Deleted in eoan-proposed (Reason: moved to release)
granite (5.2.3-1) unstable; urgency=medium

  * New upstream release 5.2.3.
  * debian/control:
    + Follow upstream and build using meson buildsystem.
    + Bump debhelper compat to v12.
  * debian/copyright: Remove copyright information for cmake files.
  * debian/patches: Drop all patches.
  * debian/symbols: Refresh symbols.

 -- Boyuan Yang <email address hidden>  Thu, 28 Feb 2019 16:36:21 -0500

Available diffs

Superseded in eoan-release on 2019-04-21
Published in disco-release on 2018-12-24
Deleted in disco-proposed (Reason: moved to release)
granite (5.2.2-1) unstable; urgency=high

  * New upstream release 5.2.2.
  * debian/patches: Add a patch to revert upstream usage of an
    elementry-specific gsettings schema. (Closes: #916173)
  * debian/control:
    + Bump Standards-Version to 4.3.0.
    + Build-depend on debhelper-compat (= 11) instead of using
      debian/compat.
  * debian/symbols: Add a Build-Depends-Package field.

 -- Boyuan Yang <email address hidden>  Mon, 24 Dec 2018 07:32:10 +0800

Available diffs

Superseded in disco-release on 2018-12-24
Deleted in disco-proposed on 2018-12-25 (Reason: moved to release)
granite (5.2.1-1) unstable; urgency=medium

  * New upstream release 5.2.1.
  * debian/patches: Refresh patches.
  * debian/symbols: Add new symbols.

 -- Boyuan Yang <email address hidden>  Thu, 08 Nov 2018 20:31:22 -0500

Available diffs

Superseded in disco-proposed on 2018-11-09
granite (5.1.0-2) unstable; urgency=medium

  * Add patch to set the shared-library attribute in generated typelib.
    (Closes: #911911)

 -- Yangfl <email address hidden>  Sat, 27 Oct 2018 15:45:01 +0800
Superseded in disco-release on 2018-11-10
Published in cosmic-release on 2018-09-01
Deleted in cosmic-proposed (Reason: moved to release)
granite (5.1.0-1) unstable; urgency=medium

  * New upstream release 5.1.0-1.
  * Bump Standards-Version to 4.2.1 (no changes needed).
  * Update my uploader email address.
  * Update library symbols accordingly.

 -- Boyuan Yang <email address hidden>  Sat, 01 Sep 2018 09:38:50 -0400

Available diffs

Superseded in cosmic-release on 2018-09-01
Deleted in cosmic-proposed on 2018-09-03 (Reason: moved to release)
granite (5.0+ds-2) unstable; urgency=medium

  * Release to unstable.
  * Revert maintainer address to pkg-deepin-devel mailing list.
  * Bump Standards-Version to 4.1.5.

 -- Boyuan Yang <email address hidden>  Sat, 07 Jul 2018 11:04:13 +0800

Available diffs

Superseded in cosmic-release on 2018-07-09
Deleted in cosmic-proposed on 2018-07-11 (Reason: moved to release)
granite (0.5+ds-3) unstable; urgency=medium

  * Bump Standards-Version to 4.1.4 (no changes needed).
  * Use <email address hidden> in maintainer field.
  * d/rules: Use "dh-missing --fail-missing".

 -- Boyuan Yang <email address hidden>  Fri, 20 Apr 2018 17:46:08 +0800

Available diffs

Superseded in cosmic-release on 2018-05-05
Published in bionic-release on 2018-03-08
Deleted in bionic-proposed (Reason: moved to release)
granite (0.5+ds-1) experimental; urgency=medium

  * New upstream release.
  * Reintroduce package (Closes: #872919).
  * Bump Standards-Version to 4.1.3.
  * Move Vcs to Salsa platform.
  * Bump debhelper compat to v11.
  * Update debian/copyright.
  * Remove cmake/ParseArguments.cmake.

 -- Yangfl <email address hidden>  Tue, 23 Jan 2018 17:42:51 +0800
Deleted in artful-release (Reason: No longer maintained, removed in debian. (LP: #1698598))
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed (Reason: moved to release)
granite (0.3.0-2~experimental1ubuntu2) wily; urgency=medium

  * Include upstream patch to fix about dialog crash/implicit pointer
    conversion, causing FTBFS on 64-bit arches.

 -- Logan Rosen <email address hidden>  Thu, 22 Oct 2015 02:03:06 -0400
Superseded in wily-proposed on 2015-10-22
granite (0.3.0-2~experimental1ubuntu1) wily; urgency=medium

  * Cherrypick fixes from upstream for FTBFS with Vala 0.28.

 -- Logan Rosen <email address hidden>  Thu, 22 Oct 2015 01:38:51 -0400
Superseded in wily-release on 2015-10-22
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
granite (0.3.0-2~experimental1) experimental; urgency=low


  * Fix build on valac 0.25.2 and later by cherrypicking an upstream patch.
  * debian/control:
    - Update Standards Version to 3.9.6, no changes needed.
    - Do not pre-depend on multiarch-support directly.
    - Provide Vcs-Bzr and Vcs-Browser fields.
  * debian/copyright:
    - Fix short names for BSD licenses.
    - Supply the correct path to granite-demo .vala file.
    - Drop copyright info for nonexistent lib/GtkPatch/gtkpatch-utils.c

  [ Iain Lane ]
  * Install typelib files into MA libdir and build-depend on the version of
    gobject-introspection which started supporting this (Closes: #767090).

 -- Sergey "Shnatsel" Davidoff <email address hidden>  Wed, 29 Oct 2014 23:47:21 +0300
Superseded in vivid-release on 2014-10-30
Deleted in vivid-proposed on 2014-11-01 (Reason: moved to release)
granite (0.3.0~bzr734-1ubuntu1.1) vivid; urgency=medium

  * Install typelib files into MA libdir and BD on the version of g-i
    which started supporting this
  * fix-destructor-name.patch, vala-0.26-support.patch: Cherry-pick two
    patches from upstream to fix FTBFS with vala 0.26.
 -- Iain Lane <email address hidden>   Tue, 28 Oct 2014 11:37:50 +0000
Deleted in utopic-proposed on 2014-08-30 (Reason: requested by ricotz; it's not OK to hijack an existing pa...)
granite (2014.2~b2-0ubuntu1) utopic; urgency=low

  * Initial release.
 -- Chuck Short <email address hidden>   Mon, 18 Aug 2014 09:44:44 -0400
Superseded in vivid-release on 2014-10-28
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to release)
granite (0.3.0~bzr734-1) experimental; urgency=low


  * New upstream bzr snapshot (Closes: #722522).
  * New maintainer (Closes: #748123).
  * debian/control:
    - Update package versions in Build-Depends.
    - Update package descriptions.
    - Drop gir1.2-glib-2.0, libgee-dev, dh-exec from Build-Depends.
    - Update Standards Version to 3.9.5:
      + Drop obsolete DM-Upload-Allowed flag.
    - Set myself as maintainer.
    - Rename libgranite0 to libgranite2.
    - Rename libgranite0-dbg to libgranite2-dbg.
    - Rename gir1.2-granite-0.1 to gir1.2-granite-1.0.
    - Add libgranite-common binary package.
    - Remove Multi-Arch field for libgranite-dev.
    - Update Depends and Recommends for libgranite2.
    - Update Depends for libgranite-dev.
  * debian/copyright:
    - Update licensing information.
    - Update copyright years.
    - Add new copyright holders.
  * Update symbols files.
  * Update debian/*.install files.
  * Drop debian/README.source.
  * Fix debian/watch.
  * debian/rules:
    - Build package with --parallel.
    - Use xz for compression.
    - Add --fail-missing to dh_install.
    - Set check level for dpkg-gensymbols to 1.
    - Set dbg-package for dh_strip to libgranite2-dbg.

 -- Sergey "Shnatsel" Davidoff <email address hidden>  Thu, 22 May 2014 20:22:06 +0400
Superseded in utopic-release on 2014-05-24
Published in trusty-release on 2013-10-18
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
granite (0.1.0-0ubuntu2) quantal; urgency=low

  * debian/libgranite-dev.install: install .vapi files in /usr/share/vala/vapi
    directory.
  * debian/control: replace valac-0.14 with valac in Build-Depdns field.
 -- Devid Antonio Filoni <email address hidden>   Mon, 25 Jun 2012 23:18:21 +0200

Available diffs

Superseded in quantal-release on 2012-06-25
Published in precise-release on 2012-03-02
granite (0.1.0-0ubuntu1) precise; urgency=low

  * Initial release (LP: #932407).
 -- Devid Antonio Filoni <email address hidden>   Sat, 11 Feb 2012 22:32:56 +0100
116 of 16 results